// out: ../../css/views/agenda-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// variables & mixings
@import "../variables.scss";

/* USED IN VIEWS THAT RENDER AGENDA BOX COMPONENT */
/* OTHER EVENTS IN SIDEBAR OF EVENT PAGE */
.cern-view-display-block.cern-view-display-other_events {
  .view-header {
    h2 {
      font-size: 30px;
    }
  }

  .view-footer {
    text-align: right;
    margin-top: 1rem;

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .view-content {
    .views-row {
      margin-bottom: 15px;

      * {
        color: white !important;
      }

      .agenda-box-pattern {
        background: #0855a0; //padding: 20px 32px;
        margin: 0;
        float: none;

        .agenda-box-event-time {
          display: none;
        }

        .agenda-box-cal-wrapper {
          display: none;
        }
      }
    }
  }
}

/* UPCOMING EVENTS */
.cern-view-display-block.cern-view-display-upcoming_events {
  @media screen and (min-width: 992px) {
    padding: 0 100px;
  }

  .view-content.owl-carousel:before {
    content: " ";
    height: 2px;
    width: 4000px;
    display: block;
    position: absolute;
    top: 7px;
    background: transparent;
    left: -1500px;
    border-top: 2px dotted #e6e6e6;
  }

  & > h2 {
    font-size: 30px;
    text-align: center;
    margin-bottom: 3rem;
  }

  .more-link {
    text-align: right;
    margin-top: 0rem;

    @media screen and (min-width: 992px) {
      margin-right: -95px;
    }

    a {
      position: relative;
      padding-right: 15px;
      font-weight: bold;

      &:after {
        //color: #f2a530;
        @include transition(all 0.3s ease-in-out 0s);
        content: "\j";
        @include font-size(4);
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        display: inline-block;
        vertical-align: bottom;
        position: absolute;
        top: 1px;
        right: 0px;
        left: auto;
        line-height: 19px;
        width: 9px;
        text-indent: -16px;
      }

      &:hover:after {
        right: -5px;
        left: auto;
      }
    }
  }

  .owl-nav {
    @media screen and (min-width: 992px) {
      margin: 0 -100px;
    }

    position: relative;

    .owl-prev {
      position: absolute;
      left: 0;
      top: -200px;
      background: transparent;

      &:after {
        content: "d";
        display: block;
        color: #0855a0;
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        font-size: 40px;
      }

      &.disabled {
        &:after {
          color: black;
        }
      }
    }

    .owl-next {
      position: absolute;
      right: 0;
      top: -200px;
      background: transparent;

      &:after {
        content: "c";
        display: block;
        color: #0855a0;
        font-family: "cern-icons";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
        font-size: 40px;
      }

      &.disabled {
        &:after {
          color: black;
        }
      }
    }
  }

  @media screen and (max-width: 991px) {
    .owl-nav {
      margin: 15px;

      .owl-prev {
        position: static;
      }

      .owl-next {
        position: static;
      }
    }
  }

  .agenda-box-pattern {
    padding: 20px 32px;
    background: transparent !important;

    * {
      color: black;
    }

    &:before {
      content: " " close-quote;
      width: 0;
      height: 0;
      border: 4px solid #cacaca;
      display: block;
      border-radius: 100%;
      position: absolute;
      top: 0px;
    }

    .agenda-box-pattern__box-wrapper {
      align-self: flex-start;
    }

    .agenda-box-event-time,
    .agenda-box-cal-wrapper {
      display: none;
    }

    .agenda-box-date-wrapper {
      .agenda-box-week-day {
        display: none;
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-upcoming_events {
    .view-content.owl-carousel:before {
      content: none;
    }

    .owl-item:not(.active) {
      * {
        display: none;
      }
    }

    .owl-item.active {
      .carousel-cern-item.row {
        .views-row {
          height: auto !important;

          .agenda-box-pattern {
            min-height: 0 !important;
          }

          .agenda-box-pattern {
            //padding-left: 50px;
            &:before {
              content: none;
            }
          }
        }
      }
    }
  }
}

@media screen and (max-width: 767px) {
  .cern-view-display-block.cern-view-display-upcoming_events {
    .owl-item.active {
      .carousel-cern-item.row {
        &:before {
          left: 35px;
        }
      }
    }
  }
}

@media screen and (max-width: 991px) {
  .bubbly-button {
    display: none;
  }
}

@media screen and (min-width: 992px) {
  .bubbly-button {
    display: inline-block;
    padding: 4px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none; //background-color: darkorange;
    color: white;
    border-radius: 100%;
    border: none;
    cursor: pointer;
    position: relative;
    transition: transform ease-in 0.1s, box-shadow ease-in 0.25s; // box-shadow: 0 2px 25px rgba(255, 0, 130, 0.5);
    top: 4px;
    left: 0;
    margin-left: calc(33.333333% + 36px);
    z-index: 1;
    position: absolute;

    &:focus {
      outline: 0;
    }

    &:before {
      position: absolute;
      content: "";
      display: block;
      width: 200px;
      height: 100px;
      left: -95px;
      z-index: -1000;
      transition: all ease-in-out 0.5s;
      background-repeat: no-repeat;
    }

    &:after {
      position: absolute;
      content: "";
      display: block;
      width: 140px;
      height: 50px;
      left: -65px;
      z-index: -1000;
      transition: all ease-in-out 0.5s;
      background-repeat: no-repeat;
    }

    /*     &:before {
        top: -100px;
    }
    &:after {
        top: 100px;
    } */
    &:before {
      display: none;
      animation: none;
      top: -80px;
      /* background-image:
      radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle,  transparent 20%, darkorange 20%, transparent 30%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle,  transparent 10%, darkorange 15%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%); */
      background-size: 10% 10%, 15% 15%, 12% 12%, 10% 10%, 14% 14%, 10% 10%,
        15% 15%, 10% 10%, 14% 14%; //background-position: 0% 80%, -5% 20%, 10% 40%, 20% 0%, 30% 30%, 22% 50%, 50% 50%, 65% 20%, 85% 30%;
    }

    &:after {
      display: none;
      animation: none;
      top: 0;
      /* background-image:
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle,  transparent 10%, darkorange 15%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%),
    radial-gradient(circle, darkorange 20%, transparent 20%); */
      background-size: 22% 22%, 28% 28%, 28% 28%, 25% 25%, 20% 20%, 28% 28%,
        20% 20%, 30% 30%, 30% 30%; //background-position: 5% 90%, 10% 90%, 10% 90%, 15% 90%, 25% 90%, 25% 90%, 40% 90%, 55% 90%, 70% 90%;
    }

    &:active {
      transform: scale(0.9); // background-color: darken(darkorange, 5%);
      // box-shadow: 0 2px 25px rgba(255, 0, 130, 0.2);
    }

    &.animate {
      &:before {
        display: block;
        animation: topBubbles cubic-bezier(0.19, 1, 0.22, 1) 2s forwards;
      }

      &:after {
        display: block;
        animation: bottomBubbles cubic-bezier(0.19, 1, 0.22, 1) 2s forwards;
      }
    }
  }

  @keyframes topBubbles {
    0% {
      background-position: 50% 90%, 50% 90%, 50% 90%, 50% 90%, 50% 90%, 50% 90%,
        50% 90%, 55% 90%, 50% 90%;
    }

    //50% {  background-position: 25% 80%,  0% 20%, 10% 40%, 20% 0%,   30% 30%, 22% 50%, 50% 50%, 65% 20%, 90% 30%; }
    100% {
      background-position: 0% 70%, 0% 10%, 10% 30%, 20% -10%, 30% 20%, 22% 40%,
        50% 40%, 65% 10%, 90% 20%;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }

    /* 100% {
        background-size: 0% 0%, 0% 0%,  0% 0%,  0% 0%,  0% 0%,  0% 0%;
    } */
  }

  @keyframes bottomBubbles {
    0% {
      background-position: 50% -10%, 50% 10%, 50% 10%, 55% -10%, 50% -10%,
        50% -10%, 50% -10%, 50% 0%, 50% 0%;
    }

    //50% {  background-position: 0% 80%,   20% 80%,   20% 80%,  45% 60%,  60% 100%, 75% 70%,  95% 60%,  105% 0%,  105% 0%; }
    65% {
      //background-position:  0% 85%,   20% 85%,   20% 85%,  45% 65%,  60% 110%, 75% 75%,  95% 65%,  105% 5%,  105% 5%;
      opacity: 1;
      background-size: 0% 0%, 0% 0%, 10% 10%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%,
        10% 10%;
    }

    100% {
      background-position: 0% 90%, 20% 90%, 19% 92%, 45% 70%, 60% 120%, 75% 80%,
        95% 70%, 105% 10%, 105% 6%;
      opacity: 0;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }
  }
}

/* ALL EVENTS PAGE VIEWS */
.cern-view-display-page.cern-view-display-feature_events,
.cern-view-display-page.cern-view-display-past_events,
.event-grid {
  & > h2 {
    margin: 3rem 0 !important;
  }

  form.views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      & > input {
        display: block;
      }

      &:not(:first-child) {
        margin: 10px;

        /* label {
            font-size: 1.3rem;
            font-family: "opensans-regular";
        } */
        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }

      input,
      select {
        //border-color: black;
        //color: black;
        //font-weight: 700;
      }
    }

    .form-actions {
      width: calc((100% / 4) - 40px);
      margin: 10px;
      vertical-align: bottom;
      text-align: right;

      button {
        width: 100%;
        /* background: #999999;
        border-color: #999999;
        &:hover, &:active, &:focus {
            background: #999999;
            border-color: #999999;
        } */
      }
    }
  }

  .view-header {
    margin: 50px 0;
    text-align: center;
    text-transform: uppercase;
    font-family: "opensans-bold";
    color: black;

    a {
      color: black;

      &:not(.active) {
        opacity: 0.6;
      }
    }
  }

  .view-footer {
    text-align: right;
  }

  .view-content {
    margin: 0 -15px;

    .views-row {
      margin-bottom: 15px;
      width: calc(33.3333% - 30px);
      float: left;
      margin: 0 15px 50px;

      //* {
      //  color: black;
      //}

      .agenda-box-pattern {
        background: transparent;
        padding: 30px 30px 60px 30px;
        border: 0;
        box-shadow: 0 1px 3px 0 #bfbfbf;

        .agenda-box-link {
          h2,
          h3 {
            a {
              &:before {
                content: unset;
              }
            }
          }
        }

        .agenda-box-pattern__box-wrapper {
          align-self: flex-start;
        }

        .agenda-box-cal-button {
          border-radius: 0;

          a.btn {
            border-radius: 0;
            padding: 2px;

            &:before {
              left: 2px;
            }
          }
        }

        .agenda-box-pattern__box-wrapper .agenda-box-cal-wrapper {
          padding-right: 5px;
        }

        .agenda-box-week-day,
        .agenda-box-content-type,
        .agenda-box-audience,
        .agenda-box-place {
          font-family: "sourcesans-regular";
          font-size: 1.5rem;

          * {
            font-family: "sourcesans-regular";
            font-size: 1.5rem;
          }
        }
      }

      .agenda-box-pattern
        .agenda-box-pattern__box-wrapper
        .agenda-box-cal-wrapper
        .agenda-box-cal-button {
        background: transparent;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-page.cern-view-display-feature_events,
  .cern-view-display-page.cern-view-display-past_events,
  .event-grid {
    form.views-exposed-form .form-inline {
      .form-item {
        display: inline-block;

        &:first-child {
          margin: 10px 5px 10px 5px;

          &:before {
            left: 0px;
          }
        }
      }

      .form-actions {
        display: inline-block;
        margin: 10px;
      }
    }

    .view-content {
      margin: 0 -15px;

      .views-row {
        margin-bottom: 15px;
        width: calc(50% - 30px);
      }
    }
  }
}

@media only screen and (max-width: 767px) {
  .cern-view-display-page.cern-view-display-feature_events,
  .cern-view-display-page.cern-view-display-past_events,
  .event-grid {
    form.views-exposed-form .form-inline {
      margin: 0;

      .form-item {
        &:first-child {
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          display: block;

          &:nth-last-child(n) ~ .form-item {
            width: 100%;
          }

          & > input {
            width: 100%;
          }

          &:before {
            left: -5px;
          }
        }

        &:not(:first-child) {
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          display: block;
        }
      }

      .form-actions {
        width: 100%;
        margin-left: 0;
        margin-right: 0;
        display: block;

        button {
          width: auto;
        }
      }
    }

    .view-content {
      margin: 0;

      .views-row {
        margin: 0 0 15px 0;
        width: 100%;
      }
    }
  }
}
